Bug 252235 - megaraid_sas: Failed to alloc kernel SGL buffer for IOCTL
Summary: megaraid_sas: Failed to alloc kernel SGL buffer for IOCTL
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tom Coughlan
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 20:35 UTC by gman
Modified: 2018-11-30 20:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:30:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages from a box running 2.6.9-42.0.10 (6.20 KB, application/octet-stream)
2007-09-13 18:45 UTC, gman
no flags Details
messages from a box running 2.6.9-52.0.2 kernel (5.98 KB, application/octet-stream)
2007-09-13 18:49 UTC, gman
no flags Details

Description gman 2007-08-14 20:35:10 UTC
Description of problem:
Have several PowerEdge 2950 running kernel 2.6.9-42.0.2.ELsmp. I'm using the
builtin PERC 5/i Raid controller. All are spitting logging this error:
megasas: Failed to alloc kernel SGL buffer for IOCTL

Version-Release number of selected component (if applicable):
2.6.9-42.0.2.ELsmp

How reproducible:
Not sure how to manually reproduce it. The error does show up daily during
regular use (apache+tomcat).

Comment 1 Prarit Bhargava 2007-09-13 15:38:58 UTC
gman@infinex.com, could you send us a system log showing the failure?

Thanks,

P.

Comment 2 gman 2007-09-13 18:45:19 UTC
Created attachment 194971 [details]
messages from a box running 2.6.9-42.0.10

Comment 3 gman 2007-09-13 18:49:47 UTC
Created attachment 194991 [details]
messages from a box running 2.6.9-52.0.2 kernel

Comment 4 gman 2007-09-13 18:52:55 UTC
The system is no longer running 2.6.9-42.0.2 kernel. It was updated and is now
using 42.0.10. I've attached 2 logs. First is 2.6.9-42.0.10.log, this dell
poweredge 2950 w/ rhel4u4. Second is 2.6.9-52.0.2.log, this is a 1950 w/ rhel4u5
w/ all the updates minus the latest kernel of 52.0.6. Both are running kernel-smp.

Comment 5 Tom Coughlan 2007-09-14 21:47:18 UTC
Also refer to BZ 247767. 

Comment 8 Priscila 2009-06-23 13:54:27 UTC
Kernel: 2.6.9-42.ELsmp #1 SMP Wed Jul 12 23:32:02 EDT 2006 x86_64 x86_64 x86_64 GNU/Linux

Comment 9 Tom Coughlan 2009-06-29 20:54:55 UTC
As I mentioned above in comment #5, this may be the same problem that was reported in BZ 247767 "megaraid_sas ioctls fail under load". 

That bug was confirmed to be fixed by the driver update in Bug 312061 "Update megaraid_sas to version 3.18-rh1". That driver update went in to RHEL 4.7.

Has the reporter of this BZ been able to determine whether the problem reported here is solved by driver version 3.18-rh1 or later?

Comment 11 Jiri Pallich 2012-06-20 13:30:00 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.